summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorjbj <devnull@localhost>2002-02-10 21:13:52 +0000
committerjbj <devnull@localhost>2002-02-10 21:13:52 +0000
commit09f274515f9876569ea165e09257eaeee5959d5b (patch)
treef8fd65a67c07c03bc3438b367b7a6cef06bede12 /autogen.sh
parent30b9428ce07b2fc3df44742dc58673cb1fb102ec (diff)
downloadrpm-09f274515f9876569ea165e09257eaeee5959d5b.tar.gz
- make peace with automake et al in 8.0, ugh.
CVS patchset: 5314 CVS date: 2002/02/10 21:13:52
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/autogen.sh b/autogen.sh
index 5a09e3a4c..ede543749 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,21 +3,21 @@
export CFLAGS
export LDFLAGS
-LTV="libtoolize (GNU libtool) 1.4"
-ACV="Autoconf version 2.13"
-AMV="automake (GNU automake) 1.4-p5"
+LTV="libtoolize (GNU libtool) 1.4.2"
+ACV="autoconf (GNU Autoconf) 2.52"
+AMV="automake (GNU automake) 1.5"
USAGE="
This script documents the versions of the tools I'm using to build rpm:
- libtool-1.4
- autoconf-2.13
- automake-1.4-p5
+ libtool-1.4.2
+ autoconf-2.52
+ automake-1.5
Simply edit this script to change the libtool/autoconf/automake versions
checked if you need to, as rpm should build (and has built) with all
recent versions of libtool/autoconf/automake.
"
[ "`libtoolize --version`" != "$LTV" ] && echo "$USAGE" && exit 1
-[ "`autoconf --version`" != "$ACV" ] && echo "$USAGE" && exit 1
+[ "`autoconf --version | head -1`" != "$ACV" ] && echo "$USAGE" && exit 1
[ "`automake --version | head -1 | sed -e 's/1\.4[a-z]/1.4/'`" != "$AMV" ] && echo "$USAGE" && exit 1
(cd popt; ./autogen.sh --noconfigure "$@")